Bug 60359

Summary: Web Inspector: move agents from InspectorAgent to InspectorController
Product: WebKit Reporter: Yury Semikhatsky <yurys>
Component: Web Inspector (Deprecated)Assignee: Yury Semikhatsky <yurys>
Status: RESOLVED FIXED    
Severity: Normal CC: apavlov, bweinstein, joepeck, keishi, loislo, pfeldman, pmuellr, rik, timothy, yurys
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 60624    
Attachments:
Description Flags
Patch
dbates: commit-queue-
Patch
none
Patch pfeldman: review+

Description Yury Semikhatsky 2011-05-06 04:05:29 PDT
Web Inspector: move agents from InspectorAgent to InspectorController. Now InspectorAgent is a special one that creates and owns all other agents. All agents should be created and owned by InspectorController.
Comment 1 Yury Semikhatsky 2011-05-06 08:29:24 PDT
Created attachment 92585 [details]
Patch
Comment 2 Yury Semikhatsky 2011-05-06 08:44:29 PDT
Created attachment 92586 [details]
Patch
Comment 3 WebKit Review Bot 2011-05-06 08:57:35 PDT
Comment on attachment 92586 [details]
Patch

Attachment 92586 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/8589297
Comment 4 Daniel Bates 2011-05-06 10:05:56 PDT
Comment on attachment 92585 [details]
Patch

Attachment 92585 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/8605031
Comment 5 Yury Semikhatsky 2011-05-10 01:54:51 PDT
Created attachment 92931 [details]
Patch
Comment 6 Pavel Feldman 2011-05-10 10:06:12 PDT
Comment on attachment 92931 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=92931&action=review

> Source/WebCore/inspector/InspectorInstrumentation.cpp:796
> +    if (InspectorDebuggerAgent* debuggerAgent = inspectorAgent->instrumentingAgents()->inspectorDebuggerAgent())

I think it is time to store instrumenting agents pointer in a map within InspectorInstrumentation. It does not make sense to access it via inspectorAgent.
Comment 7 Yury Semikhatsky 2011-05-10 23:58:27 PDT
(In reply to comment #6)
> (From update of attachment 92931 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=92931&action=review
> 
> > Source/WebCore/inspector/InspectorInstrumentation.cpp:796
> > +    if (InspectorDebuggerAgent* debuggerAgent = inspectorAgent->instrumentingAgents()->inspectorDebuggerAgent())
> 
> I think it is time to store instrumenting agents pointer in a map within InspectorInstrumentation. It does not make sense to access it via inspectorAgent.

I believe that it deserves a separate change. This one is already quite big.
Comment 8 Yury Semikhatsky 2011-05-11 07:29:53 PDT
(In reply to comment #6)
> (From update of attachment 92931 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=92931&action=review
> 
> > Source/WebCore/inspector/InspectorInstrumentation.cpp:796
> > +    if (InspectorDebuggerAgent* debuggerAgent = inspectorAgent->instrumentingAgents()->inspectorDebuggerAgent())
> 
> I think it is time to store instrumenting agents pointer in a map within InspectorInstrumentation. It does not make sense to access it via inspectorAgent.

I did this in a separate change: https://bugs.webkit.org/show_bug.cgi?id=60624
Comment 9 Yury Semikhatsky 2011-05-12 03:48:59 PDT
Committed r86327: <http://trac.webkit.org/changeset/86327>